# Class: ASTLinter

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/ast_linter.coffee
Inherits: | BaseLinter

## Overview

A class that performs static analysis of the abstract syntax tree.

## Instance Method Summary

- # (void) acceptRule(rule) This uses lintAST instead of lintNode because I think it makes it a bit more clear that the rule needs to walk the AST on its own.
- # (void) lint()
- # (void) _parseCoffeeScriptError(coffeeError)

## Inherited Method Summary

### Methods inherited from BaseLinter

#isObject #createError #acceptRule #setupRules #normalizeResult

## Constructor Details

# (void) constructor(source, config, rules, CoffeeScript)

## Instance Method Details

# (void) acceptRule(rule)

This uses lintAST instead of lintNode because I think it makes it a bit more clear that the rule needs to walk the AST on its own.

# (void) lint()

# (void) _parseCoffeeScriptError(coffeeError)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input